// simple test program to open a window with
// a blue background.

#include <rewindow/types/window.h>
#include <rewindow/logger/logger.h>
#include <GL/gl.h>

#define WIDTH 800
#define HEIGHT 600


class RandomWalkerWindow : public ReWindow::RWindow {
public:
    RandomWalkerWindow(const std::string& title, int width, int height)
        : ReWindow::RWindow(title, width, height) {}

    void OnRefresh(float elapsed) override {
        glClearColor(0.0f, 0.0f, 1.0f, 1.0f); // Clear with blue
        glClear(GL_COLOR_BUFFER_BIT);
        GLSwapBuffers();
    }
};

int main() {

    std::unique_ptr<RandomWalkerWindow> window = 
        std::make_unique<RandomWalkerWindow>("Random Walker with ReWindow", WIDTH, HEIGHT);

    window->SetRenderer(RenderingAPI::OPENGL);
    window->Open();

    while (!window->IsClosing()) {
        window->ManagedRefresh();
    }

    return 0;
}